Skip to main content
POST
/
search
/
v1
/
contents
curl -X POST "https://api.case.dev/search/v1/contents" \ -H "Authorization: Bearer $CASEDEV_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "urls": [ "<string>" ] }'
{
  "results": [
    {
      "url": "<string>",
      "title": "<string>",
      "text": "<string>",
      "summary": "<string>",
      "highlights": [
        "<string>"
      ],
      "metadata": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Body

application/json
urls
string<uri>[]
required

Array of URLs to scrape and extract content from

text
boolean
default:true

Whether to extract text content

highlights
boolean
default:false

Whether to include content highlights

summary
boolean
default:false

Whether to generate content summaries

livecrawl
boolean
default:false

Whether to perform live crawling for dynamic content

livecrawlTimeout
integer
default:30

Timeout in seconds for live crawling

subpages
boolean
default:false

Whether to extract content from linked subpages

subpageTarget
integer
default:5

Maximum number of subpages to crawl

extras
object

Additional extraction options

context
string

Context to guide content extraction and summarization

Response

Content successfully extracted from URLs

results
object[]